﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DelegateQuestionSample.UI
{
    public partial class Form1 : Form
    {
        private void WriteLog(string sLog)
        {
            this.textBox1.AppendText((sLog + Environment.NewLine));
        }

        // ---

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            new ProcessA()
            {
                daLog = new DelegateA(this.WriteLog)
            }
            .Execute();
        }
    }
}
