﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DelegateQuestionSample
{
    public class ProcessA
    {
        public DelegateA daLog { get; set; }
        public ProcessB pbWork { get; set; }

        public ProcessA()
        {
            this.daLog = null;
            this.pbWork = new ProcessB();
        }

        private void WriteLog(string sLog)
        {
            if (this.daLog != null)
            {
                this.daLog(sLog);
            }
        }

        public void Execute()
        {
            this.WriteLog("Start");
            this.pbWork.Execute(new DelegateA(this.WriteLog));
            this.WriteLog("End");
        }
    }
}
