﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DelegateQuestionSample
{
    class Program
    {
        private void Start()
        {
            new ProcessA()
            {
                daLog = new DelegateA(this.WriteLog)
            }
            .Execute();
        }

        private void WriteLog(string sLog)
        {
            Console.Out.WriteLine(sLog);
        }

        // -----------------------------------

        static void Main(string[] args)
        {
            new Program().Start();
            Console.In.ReadLine();
        }
    }
}
